PARAPROF(1)

NAME
paraprof - Launches TAU's Java-based performance data viewer.

SYNOPSIS

paraprof [-h, --help] [-f, --filetype filetype] [--pack file] [--dump] [-o, --oss] [-s, --summary]

NOTES

For the TAU profiles type, you can specify either a specific set of profile files on the commandline, or you can specify a directory (by default the current directory). The specified directory will be searched for profile.*.*.* files, or, in the case of multiple counters, directories named MULTI_* containing profile data.

OPTIONS

-h  Display help

-f, --filetype filetype
    Specify type of performance data. Options are: profiles (default), pprof, dynaprof, mpip, gprof, psrun, hpm, packed, cube, hpc, ompp, snap, perixml, gptl

--pack file
    Pack the data into packed (.ppk) format (does not launch ParaProf GUI)

--dump
    Dump profile data to TAU profile format (does not launch ParaProf GUI).

-o, --oss
    Print profile data in OSS style text output

-s, --summary
    Print only summary statistics (only applies to OSS output)

DOCUMENTATION

Complete documentation can be found at http://www.cs.uoregon.edu/research/tau/tau-usersguide.pdf